Subject: Re: When is \n converted to \r\n? and why?
From: [email-masked] (Urban Widmark)

2 Nov 1998 20:35:53 -0800
Message-ID: <Pine.GSO.3.96.981102095642.861B-100000.cygnus.gnu-win32@fungus>
References: <[email-masked]>
Reply-To: Urban Widmark <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]

On Sat, 31 Oct 1998, Earnie Boyd wrote:

> > Which means writing the file to disk and then doing cat is not the
> same as
> > piping it directly. I think that is wrong.
> > 
> 
> Yep!  Me too.

So I wasn't completely off target then ...

> What _WINDOWS_ program doesn't like a \r\n?  Please inform us as this
> is very unwindows like.
> 

It's a plugin for MS IIS called ServletExec (http://www.newatlanta.com/),
we wanted to automate the configuration of our servlets by using a nice
bash script and write all the parameters, classpath etc to the config
files directly instead of using the graphical interface. This fails if the
created files contain \r\n.

But except for the pipes I guess this was just another FAQ which deserved
a RTFM answer (which I didn't get, someone must be having too much time on
their hands :).

The b20 FAQ is much better on this topic, except it doesn't say what the
binmode setting does, and it isn't mentioned in the "How is the DOS/Unix
CR/LF thing handled?" entry.

"... mode to binary via mount point options or by setting the
CYGWIN32 environment variable."
   changed to
"... mode to binary via mount point options or by setting binmode in the
CYGWIN32 environment variable."
   or something?

/Urban

---
Urban Widmark                           [email-masked]
Svenska Test AB                         +46 90 71 71 23

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".